# -*- coding: utf-8 -*-
"Dummy signal module"

# Dummy signal.py for Twisted on PyS60
# v0.00 2009-02-25 by Jussi Ylänen

# Constants

# Signal numbers
(SIGHUP, SIGINT, SIGQUIT, SIGILL, SIGTRAP, SIGABRT, SIGEMT, SIGFPE,
SIGKILL, SIGBUS, SIGSEGV, SIGSYS, SIGPIPE, SIGALRM, SIGTERM, SIGURG, 
SIGSTOP, SIGTSTP, SIGCONT, SIGCHLD, SIGTTIN, SIGTTOU, SIGIO, SIGXCPU, 
SIGXFSZ, SIGVTALRM, SIGPROF, SIGWINCH, SIGINFO, SIGUSR1, SIGUSR2, NSIG) = range(1, 33)

# Special handlers
SIG_IGN = lambda signalnum, frame: None
SIG_DFL = lambda signalnum, frame: None
default_int_handler = SIG_DFL

# Module-level variables

# Table of signals
signaltable = [SIG_DFL] * (NSIG - 1)

# Functions

def getsignal(signalnum):
    return signaltable[signalnum - 1]

def signal(signalnum, handler):
    oldhandler = signaltable[signalnum - 1]
    signaltable[signalnum - 1] = handler
    return oldhandler

